Package org.apache.lucene.queryparser.xml.builders

# Class RangeQueryBuilder

java.lang.Object
org.apache.lucene.queryparser.xml.builders.RangeQueryBuilder

All Implemented Interfaces:
  `QueryBuilder`

public class RangeQueryBuilder extends Object implements QueryBuilder
Builder for `TermRangeQuery`

## Constructor Summary

Constructors
Constructor
Description
`RangeQueryBuilder()`

## Method Summary

Modifier and Type
Method
Description
`Query`
`getQuery(Element e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RangeQueryBuilder

public RangeQueryBuilder()

## Method Details

### getQuery

public Query getQuery(Element e) throws ParserException

Specified by:
  `getQuery` in interface `QueryBuilder`
Throws:
  `ParserException`